Skip to main content

Remove from allowed senders list

Remove one or more users from the allowed senders list of a specified group channel.

Request

POST: https://[Base URL](/platform-chat-api/base-url)/v4/group-channel/allowed-sender-list/remove

Rate limit: 100 per second

Signature: Required. See API request signature.

Request body

Content type: application/json

ParameterTypeRequiredDescription
userIdsArrayYesUser IDs to remove. Max 100 per request.
channelIdStringYesThe group channel ID.

Request example

HTTP
POST /v4/group-channel/allowed-sender-list/remove HTTP/1.1
Host: api.sg-light-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/json

{
"channelId": "abcdefg",
"userIds": ["userId_001", "userId_002"]
}

Response

FieldTypeDescription
codeNumberReturn code. 0 indicates success.

Response example

HTTP
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{"code":0}